Subject: Re: linux-next: manual merge of the kvm-arm tree with the arm64 tree

From: Oliver Upton <[email-masked]>
Date: Tue, 24 Oct 2023 06:49:40 +0000

On Tue, Oct 24, 2023 at 01:28:35PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the kvm-arm tree got a conflict in:
> 
>   arch/arm64/kvm/mmu.c
> 
> between commits:
> 
>   0e0fb2f69c1b ("arm64: kvm: avoid CONFIG_PGTABLE_LEVELS for runtime levels")
>   8d35f7bcee55 ("arm64: kvm: Limit HYP VA and host S2 range to 48 bits when LPA2 is in effect")
> 
> from the arm64 tree and commit:
> 
>   bf92834e6f6e ("KVM: arm64: Use folio for THP adjustment")
> 
> from the kvm-arm tree.
> 
> I fixed it up (the latter removed the struct updated by the former, so
> I just did that) and can carry the fix as necessary.

Thanks Stephen, resolution looks good. I'll probably wind up pulling the
arm64 branch into the kvmarm tree.

-- 
Thanks,
Oliver